<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Leads extends Model
{
    protected $table='lead';

    public function client(){
        return $this->belongsTo(Client::class,'client_id')->withTrashed();
    }
    public function assign_to_user(){
        return $this->belongsTo(User::class,'assign_to_user_id');
    }
    public function assign_by_user(){
        return $this->belongsTo(User::class,'assign_by_user_id');
    }
    public function reference(){
        return $this->belongsTo(Reference::class,'reference_id');
    }
    public function site_details(){
        return $this->belongsTo(SiteDetails::class,'site_detail_id');
    }
}
